> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Ai Ticket Desk Settings



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/org/ai-tickets/settings
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-tickets/settings:
    put:
      tags:
        - AI Tickets API
      summary: Update Ai Ticket Desk Settings
      operationId: update_ai_ticket_desk_settings_api_v1_org_ai_tickets_settings_put
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AiTicketDeskSettingsUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiTicketDeskSettingsResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AiTicketDeskSettingsUpdateRequest:
      properties:
        slack_channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Slack Channel Id
        teams_conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Teams Conversation Id
        reviewer_agent_task_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Reviewer Agent Task Id
        require_agent_review:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Require Agent Review
        auto_file_insight_severities:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Auto File Insight Severities
        notify_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Notify Mode
        notify_min_priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Notify Min Priority
        notify_source_kinds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Notify Source Kinds
        notify_event_scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Notify Event Scope
      title: AiTicketDeskSettingsUpdateRequest
      type: object
    AiTicketDeskSettingsResponse:
      properties:
        slack_channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Slack Channel Id
        teams_conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Teams Conversation Id
        reviewer_agent_task_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Reviewer Agent Task Id
        require_agent_review:
          type: boolean
          title: Require Agent Review
        auto_file_insight_severities:
          items:
            type: string
          type: array
          title: Auto File Insight Severities
        notify_mode:
          type: string
          title: Notify Mode
        notify_min_priority:
          type: string
          title: Notify Min Priority
        notify_source_kinds:
          items:
            type: string
          type: array
          title: Notify Source Kinds
        notify_event_scope:
          type: string
          title: Notify Event Scope
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - slack_channel_id
        - teams_conversation_id
        - reviewer_agent_task_id
        - require_agent_review
        - auto_file_insight_severities
        - notify_mode
        - notify_min_priority
        - notify_source_kinds
        - notify_event_scope
        - updated_at
      title: AiTicketDeskSettingsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````